## pulseaudio 12.2.28

=== debian/changelog ===
pulseaudio (12.2.28-1+dde) unstable; urgency=medium

  * Add strip string function for alsa ucm
  * Support the latest alsa ucm2
  * The source code comes from debian/13.99.1-1 branch

 -- zhaochengyi <zhaochengyi@uniontech.com>  Fri, 18 Mar 2022 13:19:28 +0800

pulseaudio (12.2.27-1+dde) unstable; urgency=medium

  * No need to start pulseaudio when starting lightdm user

 -- zhaochengyi <zhaochengyi@uniontech.com>  Wed, 12 Jan 2022 13:22:44 +0800

pulseaudio (12.2.26-1+dde) unstable; urgency=medium

  * Add secure compilation options.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Thu, 06 Jan 2022 09:27:24 +0800

pulseaudio (12.2.25-1+dde) unstable; urgency=medium

  * Close test suite.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Wed, 05 Jan 2022 17:21:34 +0800

pulseaudio (12.2.24-1+dde) unstable; urgency=medium

  * alsa-mixer: add the multi-channel path configuration,
  * and pick the first working fallback and ignore the rest
  * mapping.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Wed, 01 Dec 2021 16:01:03 +0800

pulseaudio (12.2.23-1+dde) unstable; urgency=medium

  * alsamixer: Set parameter ignore_dB via 90-pulseaudio.rules.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Mon, 18 Oct 2021 11:40:51 +0800

pulseaudio (12.2.22-1+dde) unstable; urgency=medium

  * alsamixer: Fix Dahua's profile for full support.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Fri, 15 Oct 2021 14:32:17 +0800

pulseaudio (12.2.21-1+dde) unstable; urgency=medium

  * alsamixer: monitor the status of "Jack Line Out CLFE".

 -- zhaochengyi <zhaochengyi@uniontech.com>  Fri, 17 Sep 2021 18:15:29 +0800

pulseaudio (12.2.20-1+dde) unstable; urgency=medium

  * bluetooth: Try to reconnect HSP SCO.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Mon, 30 Aug 2021 11:45:21 +0800

pulseaudio (12.2.19-1+dde) unstable; urgency=medium

  * Rebuild i386 package to fix login issue.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Wed, 18 Aug 2021 09:56:47 +0800

pulseaudio (12.2.18-1+dde) unstable; urgency=medium

  * Add dahua-4f05-usb-audio.conf to adapt the usb audio card
    (USB0bda:4f05) which it is used in Dahua device.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Thu, 05 Aug 2021 17:42:58 +0800

pulseaudio (12.2.17-1+dde) unstable; urgency=medium

  * Add loongson-laptop-audio.conf to adapt audio card
    which it is used in Loongson 3A4000.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Tue, 08 Jun 2021 14:05:22 +0800

pulseaudio (12.2.16-1+dde) unstable; urgency=medium

  * Adapte the audio of Sugon W330-H35A2

 -- zhaochengyi <zhaochengyi@uniontech.com>  Thu, 20 May 2021 15:12:50 +0800

pulseaudio (12.2.15-1+dde) unstable; urgency=medium

  [ Tanu Kaskinen ]
  * alsa-mixer: Remove references to non-existent
    multichannel paths.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Tue, 06 Apr 2021 13:37:05 +0800

pulseaudio (12.2.14-1+dde) unstable; urgency=medium

  * Update bluetooth module from debian.
  * It comes from pulseaudio (13.0-3~bpo10+1) buster-backports
    of debian, the following main points are included:
    Update a2dp-codecs.h from upstream bluez project
    Modular API for A2DP codecs
    Remove BlueZ 4 related code

 -- zhaochengyi <zhaochengyi@uniontech.com>  Wed, 03 Feb 2021 14:41:24 +0800

pulseaudio (12.2.13-1+dde) unstable; urgency=medium

  * Add msi-disable-digital.conf to adapt MSI(MS-16J5) notebook.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Thu, 17 Dec 2020 17:01:04 +0800

pulseaudio (12.2.12-1+dde) unstable; urgency=medium

  * Delete the port of the unavailable analog headse

 -- system-dev <system-dev@uniontech.com>  Tue, 10 Nov 2020 13:41:32 +0800

pulseaudio (12.2.11-1+dde) unstable; urgency=medium
  
  * Add 22d4-us-usb-audio.conf to adapt the usb audio card
    of Sugon W330-H30A

 -- zhaochengyi <zhaochengyi@uniontech.com>  Fri, 27 Oct 2020 11:03:13 +0800

pulseaudio (12.2.10-1+dde) unstable; urgency=medium

  * Update the configuration file of realtek sound
    card(st2557-pc-usb-audio.conf).

 -- changlianzhi <changlianzhi@uniontech.com>  Mon, 31 Aug 2020 10:00:19 +0800

pulseaudio (12.2-4+deb10u1) buster; urgency=medium

  * Pick upstream patch fixing mute state restoring (Closes: #913102)
  * Add gbp config for buster branch

 -- Felipe Sateler <fsateler@debian.org>  Thu, 15 Aug 2019 11:21:19 -0400

=== debian/control ===
Source: pulseaudio
Section: sound
Priority: optional
Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
    Felipe Sateler <fsateler@debian.org>
Build-Depends: debhelper-compat (= 11),
    check,
    dh-exec,
    dpkg-dev (>= 1.17.14),
    intltool,
    libasound2-dev [linux-any],
    libasyncns-dev,
    libavahi-client-dev,
    libbluetooth-dev [linux-any] <!stage1>,
    libsbc-dev [linux-any],
    libcap-dev [linux-any],
    libfftw3-dev,
    libgconf2-dev,
    libglib2.0-dev,
    libgtk-3-dev,
    libice-dev,
    libjack-dev,
    libjson-c-dev (>= 0.11),
    liblircclient-dev,
    libltdl-dev,
    liborc-0.4-dev,
    libsamplerate0-dev,
    libsndfile1-dev,
    libsoxr-dev (>= 0.1.1),
    libspeexdsp-dev (>= 1.2~rc1),
    libssl-dev,
    libsystemd-dev [linux-any],
    libtdb-dev [!hurd-any],
    libudev-dev [linux-any],
    libwebrtc-audio-processing-dev (>= 0.2) [linux-any],
    libwrap0-dev,
    libx11-xcb-dev,
    libxcb1-dev,
    libxtst-dev
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/pulseaudio-team/pulseaudio
Vcs-Git: https://salsa.debian.org/pulseaudio-team/pulseaudio.git
Homepage: http://www.pulseaudio.org

Package: pulseaudio
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser,
  lsb-base (>= 3.2-13),
  libasound2-plugins [linux-any],
  libpulse0 (= ${binary:Version}),
  pulseaudio-utils
Recommends: rtkit, libpam-systemd, dbus-user-session
Suggests: udev [linux-any], pavumeter, pavucontrol, paman, paprefs
Description: PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 These are some of PulseAudio's features:
 .
   * High quality software mixing of multiple audio streams with support for
     more than one sink/source. May be used to combine multiple sound cards
     into one (with sample rate adjustment).
 .
   * Wide range of supported client libraries. ESD, ALSA, oss, libao and
     GStreamer client applications are supported as-is. Native PulseAudio
     plug-ins are also available for xmms and mplayer.
 .
   * Good low latency behaviour and very accurate latency measurement for
     playback and recording. Ability to fully synchronize multiple playback
     streams.
 .
   * Network transparency, allowing an application to play back or record
     audio on a different machine than the one it is running on.
 .
   * Extensible plug-in architecture with plug-ins for jackd, multicast-rtp
     lirc and avahi, just to name a few.
 .
 This package contains the daemon and basic module set.

Package: pulseaudio-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpulsedsp
Suggests: avahi-daemon, pulseaudio
Description: Command line tools for the PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 These tools provide command line access to various features of the
 PulseAudio sound server. Included tools are:
 .
   paplay - Playback a WAV file via a PulseAudio sink.
   pacat - Cat raw audio data to a PulseAudio sink.
   parec - Cat raw audio data from a PulseAudio source.
   pacmd - Connect to PulseAudio's built-in command line control interface.
   pactl - Send a control command to a PulseAudio server.
   padsp - /dev/dsp wrapper to transparently support OSS applications.
   pax11publish - Store/retrieve PulseAudio default server/sink/source
                  settings in the X11 root window.

Package: pulseaudio-module-zeroconf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, avahi-daemon
Description: Zeroconf module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This module enables PulseAudio to publish available sinks and sources via
 zeroconf (aka. Avahi, mdns).
 .
 The module is called module-zeroconf-publish.

Package: pulseaudio-module-jack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: jackd modules for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 These modules enables PulseAudio to connect to a jackd daemon.
 .
 The modules are called module-jack-sink, module-jack-source.

Package: pulseaudio-module-lirc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lirc module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This module enables the volume of a PulseAudio sink to be controlled when
 buttons of an infrared remote control are pressed (through LIRC).
 .
 The module is called module-lirc.

Package: pulseaudio-module-gsettings
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GSettings module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This module enables PulseAudio to store additional configuration in GSettings.
 It supersedes the gconf module.
 .
 The module is called module-gsettings.

Package: pulseaudio-module-raop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pulseaudio-module-zeroconf
Description: RAOP module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This module enables PulseAudio to stream audio to an Apple Airport Express.

Package: pulseaudio-module-bluetooth
Build-Profiles: <!stage1>
Architecture: linux-any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez (>= 5.23)
Description: Bluetooth module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This module enables PulseAudio to work with bluetooth devices, like headset
 or audio gateway.
 .
 The module is called module-bluetooth

Package: pulseaudio-equalizer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 python, python-pyqt5, python-sip, python-dbus.mainloop.pyqt5, python-dbus
Description: Equalizer sink module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This package provides an equalizer sink and an interface to configure the
 equalizer, qpaeq.
 .
 The module is called module-equalizer-sink.

Package: libpulse0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pulseaudio
Description: PulseAudio client libraries
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 Client libraries used by applications that access a PulseAudio sound server
 via PulseAudio's native interface.

Package: libpulse-mainloop-glib0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PulseAudio client libraries (glib support)
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 Client libraries used by applications that access a PulseAudio sound server
 via PulseAudio's native interface.
 .
 This package adds support for glib2 client applications.

Package: libpulse-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
  libpulse0 (= ${binary:Version}),
  libpulse-mainloop-glib0 (= ${binary:Version}),
  libglib2.0-dev,
Description: PulseAudio client development headers and libraries
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 Headers and libraries for developing applications that access a PulseAudio
 sound server via PulseAudio's native interface.

Package: libpulsedsp
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PulseAudio OSS pre-load library
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This package provides the pre-load library used to redirect applications
 using OSS through pulseaudio.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1

DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed

DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_BUILD_OPTIONS = nocheck

DEB_CFLAGS_MAINT_APPEND = -fstack-protector-strong -D_FORTITY_SOURCE=1 \
-z noexecstack -pie -fPIC -z lazy

include /usr/share/dpkg/default.mk

export AUTOPOINT=intltoolize --automake --copy
# Needed for testsuite
export XDG_RUNTIME_DIR = $(CURDIR)/debian/tmp/tmp/xdgruntimedir
export CK_TIMEOUT_MULTIPLIER = 0

# Libs should be in the multi-arch path, but the modules should be in the
# normal directory as pulseaudio is foreign
DEB_CONFIGURE_EXTRA_FLAGS = --enable-x11 --disable-hal-compat \
  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
  --with-module-dir=\$${prefix}/lib/pulse-$(DEB_VERSION_UPSTREAM)/modules \
  --with-zsh-completion-dir=\$${datadir}/zsh/vendor-completions \
  --with-bash-completion-dir=\$${datadir}/bash-completion/completions \
  --with-systemduserunitdir=\$${prefix}/lib/systemd/user \
  --disable-bluez4 \
  --disable-esound \
  --enable-gsettings \
  --enable-alsa=yes \
  --disable-gconf

PA_MAJORMINOR = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -r -e 's/^([0-9]+\.[0-9]+).*/\1/')

ifeq ($(words $(sort $(filter stage1,$(DEB_BUILD_PROFILES)))),1)
  DEB_CONFIGURE_EXTRA_FLAGS += --disable-bluez5
endif

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_install:
	dh_auto_install
	find debian/tmp -name "*.la" -delete
	install -d $(CURDIR)/debian/tmp/usr/share/apport/package-hooks
	cp $(CURDIR)/debian/apport-hook.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_pulseaudio.py
ifeq ($(DEB_HOST_ARCH_OS),linux)
	mkdir -p $(CURDIR)/debian/tmp/usr/share/alsa/alsa.conf.d
	cp -a $(CURDIR)/debian/pulse.conf \
		$(CURDIR)/debian/tmp/usr/share/alsa/alsa.conf.d
	cp -a $(CURDIR)/debian/pulse-alsa.conf $(CURDIR)/debian/tmp/usr/share/alsa
endif

override_dh_makeshlibs:
	sed 's/PA_MAJORMINOR/$(PA_MAJORMINOR)/' debian/shlibs.local.in > debian/shlibs.local
	dh_makeshlibs --exclude=usr/lib/pulse-$(DEB_VERSION_UPSTREAM)/modules \
		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/pulseaudio

override_dh_shlibdeps:
	dh_shlibdeps --libpackage=pulseaudio

override_dh_missing:
	dh_missing --fail-missing

override_dh_link:
	dh_link
ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_link usr/lib/systemd/user/pulseaudio.socket usr/lib/systemd/user/sockets.target.wants/pulseaudio.socket
endif

override_dh_installdocs:
	dh_installdocs -A NEWS README

override_dh_clean:
	dh_clean
	rm -f debian/shlibs.local

## pulseaudio 13.0

=== meson_options.txt ===
option('gcov',
       type : 'boolean', value : false,
       description : 'Enable optional gcov coverage analysis')
option('man',
       type : 'boolean',
       description : 'Enable building and installation of man pages')
option('tests',
       type : 'boolean',
       description : 'Enable unit tests')

option('system_user',
        type : 'string', value : 'pulse',
        description : 'User for running the PulseAudio daemon as a system-wide instance (pulse)')
option('system_group',
        type : 'string', value : 'pulse',
        description : 'Group for running the PulseAudio daemon as a system-wide instance (pulse)')
option('access_group',
        type : 'string', value : 'pulse-access',
        description : 'Group which is allowed access to a system-wide PulseAudio daemon (pulse-access)')
option('database',
        type : 'combo', value : 'tdb',
        choices : [ 'gdbm', 'tdb', 'simple' ],
        description : 'Database backend')
option('legacy-database-entry-format',
       type : 'boolean',
       description : 'Try to load legacy (< 1.0) database files (card, device and volume restore)')
option('running-from-build-tree',
       type : 'boolean',
       description : 'Enable running from build tree')
option('atomic-arm-linux-helpers',
       type : 'boolean', value : true,
       description : 'Use inline asm or libatomic_ops instead')
option('atomic-arm-memory-barrier',
       type : 'boolean', value : false,
       description : 'Enable memory barriers (only really needed in SMP arm systems)')

# Paths

option('padsplibdir',
       type : 'string',
       description : 'Specify location where OSS wrapper library will be installed')
# This one gets inserted into a shell double-quoted string, so needs to be escaped (\$LIB). Meson
# removes a layer of escapes when parsing the description string, so we need to double the
# backslashes for "meson configure" to display the right text.
option('pulsedsp-location',
       type : 'string',
       description : 'Specify location where OSS wrapper library will be loaded from; can use \\$LIB')
option('modlibexecdir',
       type : 'string',
       description : 'Specify location where modules will be installed')
option('systemduserunitdir',
       type : 'string',
       description : 'Directory for systemd user service files')
option('udevrulesdir',
       type : 'string',
       description : 'Directory for udev rules (defaults to /lib/udev/rules.d)')
option('bashcompletiondir',
       type : 'string',
       description : 'Directory for bash completion files')
option('zshcompletiondir',
       type : 'string',
       description : 'Zsh completions directory')

# Optional features

option('alsa',
       type : 'feature', value : 'auto',
       description : 'Optional ALSA support')
option('asyncns',
       type : 'feature', value : 'auto',
       description : 'Optional Async DNS support')
option('avahi',
       type : 'feature', value : 'auto',
       description : 'Optional Avahi support')
option('bluez5',
       type : 'boolean', value : 'true',
       description : 'Optional BlueZ 5 support')
option('bluez5-native-headset',
       type : 'boolean',
       description : 'Optional native headset backend support (BlueZ 5)')
option('bluez5-ofono-headset',
       type : 'boolean',
       description : 'Optional oFono headset backend support (BlueZ 5)')
option('dbus',
       type : 'feature', value : 'auto',
       description : 'Optional D-Bus support')
option('fftw',
       type : 'feature', value : 'auto',
       description : 'Optional FFTW support')
option('glib',
       type : 'feature', value : 'auto',
       description : 'Optional GLib 2 support')
option('gsettings',
       type : 'feature', value : 'auto',
       description : 'Optional GSettings support')
option('gtk',
       type : 'feature', value : 'auto',
       description : 'Optional Gtk+ 3 support')
option('hal-compat',
       type : 'boolean',
       description : 'Optional HAL->udev transition compatibility support (needs udev)')
option('ipv6',
       type : 'boolean',
       description : 'Optional IPv6 support')
option('jack',
       type : 'feature', value : 'auto',
       description : 'Optional JACK support')
option('lirc',
       type : 'feature', value : 'auto',
       description : 'Optional LIRC support')
option('openssl',
       type : 'feature', value : 'auto',
       description : 'Optional OpenSSL support (used for Airtunes/RAOP)')
option('orc',
       type : 'feature', value : 'auto',
       description : 'Optimized Inner Loop Runtime Compiler')
option('samplerate',
       type : 'feature', value : 'disabled',
       description : 'Optional libsamplerate support (DEPRECATED)')
option('soxr',
       type : 'feature', value : 'auto',
       description : 'Optional SoXR support (resampling)')
option('speex',
       type : 'feature', value : 'auto',
       description : 'Optional Speex support (resampling, AEC)')
option('systemd',
       type : 'feature', value : 'auto',
       description : 'Optional systemd support')
option('udev',
       type : 'feature', value : 'auto',
       description : 'Optional udev support')
option('x11',
       type : 'feature', value : 'auto',
       description : 'Optional X11 support')

# Echo cancellation

option('adrian-aec',
       type : 'boolean',
       description : 'Optional Adrian\'s echo canceller')
option('webrtc-aec',
       type : 'feature', value : 'auto',
       description : 'Optional WebRTC-based echo canceller')

=== debian/changelog ===
pulseaudio (13.0-5pureos+librem5.2) amber-phone; urgency=medium

  * gbp.conf: Add sign-tags=true
  * Add patch "filter-apply: Look for filter parameters also in device properties"

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 29 Oct 2020 19:52:54 +0100

pulseaudio (13.0-5pureos+librem5.1) amber-phone; urgency=medium

  * Upload to amber-phone

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sun, 06 Sep 2020 05:54:40 +0200

pulseaudio (13.0-5) unstable; urgency=medium

  * Fix removal of 00-disable-autospawn.conf.
    The autoremoval script was wrongly put into the pulseaudio package, while
    it should have been in the libpulse0 package. Moreover, the version specified
    was wrong (set at 12.2 instead of 13.0) (Closes: #950413)

 -- Felipe Sateler <fsateler@debian.org>  Wed, 05 Feb 2020 23:06:41 -0300

pulseaudio (13.0-4) unstable; urgency=medium

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly.
    In Ubuntu, we are in the process of moving the i386 architecture to a
    compatibility-only layer on amd64, and therefore we are also moving our
    autopkgtest infrastructure to test i386 binaries in a cross-environment.
    This requires changes to some tests so that they are cross-aware and can do
    the right thing.
    The pulseaudio tests currently fail in this environment, because they are
    build tests that do not invoke the toolchain in a cross-aware manner.  I've
    verified that the attached patch lets the tests successfully build (and run)
    i386 tests on an amd64 host.
    Note that upstream autopkgtest doesn't currently set DEB_HOST_ARCH so this
    is a complete no-op in Debian for the moment.  Support for cross-testing in
    autopkgtest is currently awaiting review at
    https://salsa.debian.org/ci-team/autopkgtest/merge_requests/69 and once
    landed, will still have no effect unless autopkgtest is invoked with a '-a'
    option.  So this change should be safe to land in your package despite this
    not being upstream in autopkgtest. (Closes: #946375)

  [ Felipe Sateler ]
  * Enable autospawn automatically on sysvinit systems.
    Instead of having a default configuration, make pulseaudio default to
    disabled, and then have a sysvinit service to reenable the autospawn
    setting
    (Closes: #923203)
  * Allow installing pulseaudio with elogind.
    Because we now autospawn with non-systemd, we can use the weaker guarantees
    provided by elogind
    (Closes: #923201)
  * Drop postinst snippet dealing with old upgrades.
    5.0 is already in oldoldstable so no need to carry it anymore
  * Set upstream metadata fields: Name (from ./configure), Repository,
    Repository-Browse.
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
  * Bump Standards-Version.
    No changes needed
  * Enable the systemd user units dynamically, not statically.
    Now that there is support for systemd --user in debhelper, lets use that to
    enable the user units instead of having a global link (Closes: #943999)

 -- Felipe Sateler <fsateler@debian.org>  Fri, 31 Jan 2020 09:24:15 -0300

pulseaudio (13.0-3) unstable; urgency=medium

  * qpaeq: migrate to python3.
    Patch picked from Fedora and cleaned up for upstream inclusion.
    (Closes: #937338)
  * d/control: Remove duplicate Priority: field
  * Add dev package information to symbols file.
    Thanks lintian tag symbols-file-missing-build-depends-package-field
  * Pick upstream patch disabling flat-volumes by default.
    (Closes: #837637, #541538)

 -- Felipe Sateler <fsateler@debian.org>  Fri, 25 Oct 2019 09:00:30 -0300

pulseaudio (13.0-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Drop obsolete gconf build-dependency.
    The package already builds with --disable-gconf configure flag.
    (Closes: #941794)

  [ Felipe Sateler ]
  * Use https URI in Homepage field.
  * Bump Standards-Version

 -- Felipe Sateler <fsateler@debian.org>  Sun, 06 Oct 2019 19:50:40 -0300

pulseaudio (13.0-1) unstable; urgency=medium

  * New upstream version
  * debian/pulseaudio-utils.install:
    - install the new pa-info utility

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Sep 2019 15:06:43 +0200

pulseaudio (12.99.2-1) unstable; urgency=medium

  * New upstream version 12.99.2
    - Fixes FTBFS with gcc-9. (Closes: #925807)
    - Drop all patches, applied upstream
    - Add new symbols added to libpulse0
  * Remove autopoint override.
    Since version 12, regular intltool is used, not gtkdocize
  * Bump debhelper compat level to 12

 -- Felipe Sateler <fsateler@debian.org>  Wed, 21 Aug 2019 22:10:51 -0400

pulseaudio (12.2-5) unstable; urgency=medium

  * Pick upstream patch fixing mute state restoring (Closes: #913102)

 -- Felipe Sateler <fsateler@debian.org>  Sun, 04 Aug 2019 21:18:02 -0400

pulseaudio (12.2-4+deb10u1pureos+librem5.1) amber-phone; urgency=medium

  * Backport upstream patches to minimize loopback latency

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 5 Dec 2019 03:03:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>,
     Felipe Sateler <fsateler@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
     check,
     dh-exec,
     dpkg-dev (>= 1.17.14),
@@ -16,7 +16,6 @@
     libsbc-dev [linux-any],
     libcap-dev [linux-any],
     libfftw3-dev,
-    libgconf2-dev,
     libglib2.0-dev,
     libgtk-3-dev,
     libice-dev,
@@ -38,21 +37,22 @@
     libx11-xcb-dev,
     libxcb1-dev,
     libxtst-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pulseaudio-team/pulseaudio
 Vcs-Git: https://salsa.debian.org/pulseaudio-team/pulseaudio.git
-Homepage: http://www.pulseaudio.org
+Homepage: https://www.pulseaudio.org
 
 Package: pulseaudio
 Architecture: any
 Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser,
   lsb-base (>= 3.2-13),
   libasound2-plugins [linux-any],
   libpulse0 (= ${binary:Version}),
   pulseaudio-utils
-Recommends: rtkit, libpam-systemd, dbus-user-session
+Recommends: rtkit, default-logind | logind, dbus-user-session
 Suggests: udev [linux-any], pavumeter, pavucontrol, paman, paprefs
 Description: PulseAudio sound server
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
@@ -166,7 +166,6 @@
 Package: pulseaudio-module-bluetooth
 Build-Profiles: <!stage1>
 Architecture: linux-any
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}, bluez (>= 5.23)
 Description: Bluetooth module for PulseAudio sound server
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
@@ -181,7 +180,7 @@
 Package: pulseaudio-equalizer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- python, python-pyqt5, python-sip, python-dbus.mainloop.pyqt5, python-dbus
+ python3, python3-pyqt5, python3-dbus.mainloop.pyqt5, python3-dbus
 Description: Equalizer sink module for PulseAudio sound server
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
  WIN32 systems. It is a drop in replacement for the ESD sound server with

=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,8 @@
 
 DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-DEB_BUILD_OPTIONS = nocheck
-
-DEB_CFLAGS_MAINT_APPEND = -fstack-protector-strong -D_FORTITY_SOURCE=1 \
--z noexecstack -pie -fPIC -z lazy
-
 include /usr/share/dpkg/default.mk
 
-export AUTOPOINT=intltoolize --automake --copy
 # Needed for testsuite
 export XDG_RUNTIME_DIR = $(CURDIR)/debian/tmp/tmp/xdgruntimedir
 export CK_TIMEOUT_MULTIPLIER = 0
@@ -29,7 +23,6 @@
   --disable-bluez4 \
   --disable-esound \
   --enable-gsettings \
-  --enable-alsa=yes \
   --disable-gconf
 
 PA_MAJORMINOR = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -r -e 's/^([0-9]+\.[0-9]+).*/\1/')
@@ -68,11 +61,8 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-override_dh_link:
-	dh_link
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-	dh_link usr/lib/systemd/user/pulseaudio.socket usr/lib/systemd/user/sockets.target.wants/pulseaudio.socket
-endif
+override_dh_installinit:
+	dh_installinit -ppulseaudio --name=pulseaudio-enable-autospawn
 
 override_dh_installdocs:
 	dh_installdocs -A NEWS README

## pulseaudio 13.99.1

=== meson_options.txt ===
--- 
+++ 
@@ -56,10 +56,10 @@
        description : 'Directory for udev rules (defaults to /lib/udev/rules.d)')
 option('bashcompletiondir',
        type : 'string',
-       description : 'Directory for bash completion files')
+       description : 'Directory for bash completion scripts ["no" disables]')
 option('zshcompletiondir',
        type : 'string',
-       description : 'Zsh completions directory')
+       description : 'Directory for zsh completion scripts ["no" disables]')
 
 # Optional features
 
@@ -93,6 +93,9 @@
 option('gsettings',
        type : 'feature', value : 'auto',
        description : 'Optional GSettings support')
+option('gstreamer',
+       type : 'feature', value : 'auto',
+       description : 'Optional GStreamer dependency for media-related functionality')
 option('gtk',
        type : 'feature', value : 'auto',
        description : 'Optional Gtk+ 3 support')

=== debian/changelog ===
pulseaudio (13.99.1-1~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    afe019d641adc1ce3587c5762fae26bd443bacae.
  * External port from:
    https://deb.debian.org/debian/pool/main/p/pulseaudio/pulseaudio_13.9
    9.1-1.dsc
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Thu, 09 Apr 2020 16:21:40 +0200

pulseaudio (13.99.1-1) experimental; urgency=medium

  * New upstream rc version, including those changes:
    - default sink selection for a better user experience, ALSA UCM support,
      disabling flat volumes by default, stream rescue moving to core,
      GStreamer-based RTP support, and qpaeq moving to Python 3.
  * debian/control:
    - B-D on libgstreamer1.0-dev and libgstreamer-plugins-base1.0-dev,
      needed to enable the gstreamer based RTP support
  * debian/patches/qpaeq-Drop-unused-imports.patch,
    debian/patches/qpaeq-use-python3-instead-of-python-2.patch,
    debian/patches/daemon-conf-disable-flat-volumes-by-default.patch:
    - dropped the changes included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 Feb 2020 15:25:31 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,8 @@
     libcap-dev [linux-any],
     libfftw3-dev,
     libglib2.0-dev,
+    libgstreamer1.0-dev,
+    libgstreamer-plugins-base1.0-dev,
     libgtk-3-dev,
     libice-dev,
     libjack-dev,

## pulseaudio 13.99.2

=== meson_options.txt ===
--- 
+++ 
@@ -24,6 +24,9 @@
 option('legacy-database-entry-format',
        type : 'boolean',
        description : 'Try to load legacy (< 1.0) database files (card, device and volume restore)')
+option('stream-restore-clear-old-devices',
+       type : 'boolean', value : false,
+       description : 'Forget per-stream routing settings that have been set before version 14.0. Recommended when using GNOME. See https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/issues/832')
 option('running-from-build-tree',
        type : 'boolean',
        description : 'Enable running from build tree')
@@ -48,6 +51,9 @@
 option('modlibexecdir',
        type : 'string',
        description : 'Specify location where modules will be installed')
+option('alsadatadir',
+       type : 'string',
+       description : 'Directory for ALSA card profiles (defaults to ${datadir}/pulseaudio/alsa-mixer)')
 option('systemduserunitdir',
        type : 'string',
        description : 'Directory for systemd user service files')

=== debian/changelog ===
pulseaudio (1:13.99.2-1ubuntu2.3) groovy; urgency=medium

  * d/p/0703-switch-on-unknown.patch
    - The 0703-switch-on-unknown.patch was introduced from the version of
      ubuntu2.2, this patch could bring a regression similar to this one:
      https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/issues/1043,
      so just like the commit eaa6d5d6c1a7 (switch-on-port-available: Fix
      switching away from unplugged headphones), change the
      0703-switch-on-unknown.patch to move the code to
      port_available_hook_callback().
      (LP: #1908167)

 -- Hui Wang <hui.wang@canonical.com>  Tue, 05 Jan 2021 02:39:04 +0000

pulseaudio (1:13.99.2-1ubuntu2.2) groovy; urgency=medium

  * d/p/0703-switch-on-unknown.patch
    - Fix the headset-mic/headphone-mic selection on the machines without
      internal mic, backported from:
      https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/merge_requests/390
      (LP: #1908167)

 -- Hui Wang <hui.wang@canonical.com>  Tue, 15 Dec 2020 08:18:27 +0000

pulseaudio (1:13.99.2-1ubuntu2.1) groovy-security; urgency=medium

  * SECURITY UPDATE: don't rely on SCM_CREDENTIALS to detect snap confined
    clients (LP: #1895928)
    - d/p/0409-pa-client-peer-credentials.patch: drop patch
    - d/p/0409-fix-arg-parsing-after-async-hook.patch: remains of old 0409
      patch not related to pa_creds.
    - d/p/0410-pa-client-peer-apparmor-label.patch: new patch, records
      AppArmor label in pa_client struct for native connections using
      aa_getpeercon.
    - d/p/0702-add-snappy-policy-module.patch: use the AppArmor
      label in the pa_client rather than looking it up via the process ID
      from SCM_CREDENTIALS.
    - CVE-2020-16123
   * Don't block classic snaps from module loading/unloading (LP: #1886854)
    - d/p/0702-add-snappy-policy-module.patch: replace
      deny_to_snaps_hook with a version that allows classic snaps. 

 -- James Henstridge <james.henstridge@canonical.com>  Thu, 05 Nov 2020 16:46:59 -0500

pulseaudio (1:13.99.2-1ubuntu2) groovy; urgency=medium

  * debian/patches/git_segfault_fix.patch:
    - backport a fix for a segfault regression for the recent update
      (lp: #1900812)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Oct 2020 10:46:23 +0200

pulseaudio (1:13.99.2-1ubuntu1) groovy; urgency=medium

  * Updated to the current candidate version
  * d/p/git_cherrypick_fixes.patch,
    d/p/git_config_upgrade.patch,
    d/p/0001-alsa-mixer-Recognize-USB-audio-jack-mixer.patch,
    d/p/0002-module-alsa-card-Set-a-minimum-profile-priority-if-i.patch
    d/p/0032-alsa-mixer-store-the-ucm_device-with-the-order-of-th.patch,
    d/p/0033-alsa-make-the-unsuspend-more-robust.patch,
    d/p/0034-alsa-adjust-ucm-sink-source-priority-according-to-po.patch,
    d/p/0035-ucm-add-possibility-to-skip-the-UCM-card-completely-.patch,
    d/p/0036-device-port-queue-CARD-CHANGE-event-before-update-de.patch:
  * d/p/0031-lp1847570-Revert-switch-on-connect-Do-not-ignore-HDMI-sinks.patch:
    - removed, upstream fixed the issue differently

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Oct 2020 11:45:03 +0200

pulseaudio (13.99.2-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Oct 2020 21:39:32 +0200

pulseaudio (1:13.99.1-1ubuntu11) groovy; urgency=medium

  [ Kai-Heng Feng ]
  * d/p/0001-alsa-mixer-Add-support-for-HP-Thunderbolt-Dock.patch
  * d/p/0002-alsa-mixer-Expand-comments-in-the-HP-Thunderbolt-Doc.patch
    Add profile-sets for HP Thunderbolt Dock (LP: #1894606)

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 22 Sep 2020 10:09:09 +0200

pulseaudio (1:13.99.1-1ubuntu10) groovy; urgency=medium

  * d/p/0001-alsa-mixer-Recognize-USB-audio-jack-mixer.patch:
    - recognize USB jack mixer to support jack detection (LP: #1891461)
  * d/p/0002-module-alsa-card-Set-a-minimum-profile-priority-if-i.patch:
    - resolve an issue when headset gets unplugged, HDMI audio is chosen
      instead of internal speaker (LP: #1891461)

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Thu, 13 Aug 2020 16:58:42 +0800

pulseaudio (1:13.99.1-1ubuntu9) groovy; urgency=medium

  * d/p/0034-alsa-adjust-ucm-sink-source-priority-according-to-po.patch
  * d/p/0035-ucm-add-possibility-to-skip-the-UCM-card-completely-.patch
  * d/p/0036-device-port-queue-CARD-CHANGE-event-before-update-de.patch
    Make digital mic on the AMD Renoir machines work under gnome desktop
    (LP: #1889217)

 -- Hui Wang <hui.wang@canonical.com>  Sat, 08 Aug 2020 13:32:49 +0800

pulseaudio (1:13.99.1-1ubuntu8) groovy; urgency=medium

  * d/p/0033-alsa-make-the-unsuspend-more-robust.patch:
    - resolve cases where there is no available audio entry in sound
      settings after suspending in 'Performance mode' (LP: #1887610)

 -- Hui Wang <hui.wang@canonical.com>  Wed, 15 Jul 2020 15:29:05 +0800

pulseaudio (1:13.99.1-1ubuntu7) groovy; urgency=medium

  * d/p/0032-alsa-mixer-store-the-ucm_device-with-the-order-of-th.patch
    - switch the port on ucm device based on priority (LP: #1882161)

 -- Hui Wang <hui.wang@canonical.com>  Fri, 05 Jun 2020 10:10:09 +0800

pulseaudio (1:13.99.1-1ubuntu6) groovy; urgency=medium

  * debian/patches/git_config_upgrade.patch:
     -stream-restore: Forget pre-14.0 stream routing, old configurations are
      incompatible and create routing issues where e.g the speaker despite
      having headset selected (lp: #1866194)
  * debian/rules:
    - enable --enable-stream-restore-clear-old-devices
  * debian/rules:
    - don't let tests fail build on riscv

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Jun 2020 17:28:51 +0200

pulseaudio (1:13.99.1-1ubuntu5) groovy; urgency=medium

  * SECURITY UPDATE: stop snaps from loading and unloading modules, to
    prevent bypass of audio recording restriction (LP: #1877102). Patch
    thanks to James Henstridge
    - d/p/0407-access-Add-access-control-hooks.patch: make sure access
      hook IDs are non-zero.


=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,12 @@
   --with-zsh-completion-dir=\$${datadir}/zsh/vendor-completions \
   --with-bash-completion-dir=\$${datadir}/bash-completion/completions \
   --with-systemduserunitdir=\$${prefix}/lib/systemd/user \
+  --enable-snap \
   --disable-bluez4 \
   --disable-esound \
   --enable-gsettings \
-  --disable-gconf
+  --disable-gconf \
+  --enable-stream-restore-clear-old-devices
 
 PA_MAJORMINOR = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -r -e 's/^([0-9]+\.[0-9]+).*/\1/')
 
@@ -70,3 +72,10 @@
 override_dh_clean:
 	dh_clean
 	rm -f debian/shlibs.local
+
+override_dh_auto_test:
+ifeq (,$(filter $(DEB_HOST_ARCH), riscv64))
+	dh_auto_test
+else
+	dh_auto_test || true
+endif

## pulseaudio 14.2

=== debian/changelog ===
pulseaudio (14.2-2) unstable; urgency=medium

  * Stop installing the console kit module.
    ConsoleKit was removed from debian, so it no longer brings any purpose
    (Closes: #854327)
  * Fix test failure in ppc64el.
    Thanks to Faidon Liambotis <paravoid@debian.org> for the patch.
    (Closes: #982740)
  * Move the home directory of pulseaudio user to /run/pulse
    /var/run is a symlink to /run so let's just use the canonical place

 -- Felipe Sateler <fsateler@debian.org>  Fri, 26 Feb 2021 19:51:50 -0300

pulseaudio (14.2-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Reduce Build-Depends
    * Annotate check with <!nocheck>.
    * Drop libsamplerate0-dev: It is deprecated and no longer enabled when
      present. Given the lack of --enable-libsamplerate, it wasn't enabled
      in a while.
    * Drop libjson-c-dev: Since 10.0, pulseaudio has its own json parser.
    (Closes: #979281)

  [ Felipe Sateler ]
  * Make pulsedsp use $LIB RPATH.
    This way, if libpulsedsp is installed for both amd64 and i386, the
    linker knows which one to use automatically.
    Some extra escaping is necessary to prevent expansion via multiple
    make/shell layers (Closes: #845802)
  * New upstream version 14.2

 -- Felipe Sateler <fsateler@debian.org>  Tue, 19 Jan 2021 14:31:45 -0300

pulseaudio (14.1-1) unstable; urgency=medium

  * New bugfix version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Jan 2021 15:07:31 +0100

pulseaudio (14.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control, debian/rules:
    - disable the gstreamer rtp option which is experimental
  * debian/rules:
    - use enable-stream-restore-clear-old-devices for better handleing
      of upgraded systems

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 06 Jan 2021 12:03:26 +0100

pulseaudio (14.0-1) experimental; urgency=medium

  * New upstream version
  * debian/rules:
    - set --enable-gstreamer since the default changed to false now

 -- Sebastien Bacher <seb128@debian.org>  Thu, 26 Nov 2020 11:40:50 +0100

pulseaudio (13.99.3-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Nov 2020 15:12:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>,
-    Felipe Sateler <fsateler@debian.org>
+    Felipe Sateler <fsateler@debian.org>,
+    Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 12),
-    check,
+    check <!nocheck>,
     dh-exec,
     dpkg-dev (>= 1.17.14),
     intltool,
@@ -17,16 +18,12 @@
     libcap-dev [linux-any],
     libfftw3-dev,
     libglib2.0-dev,
-    libgstreamer1.0-dev,
-    libgstreamer-plugins-base1.0-dev,
     libgtk-3-dev,
     libice-dev,
     libjack-dev,
-    libjson-c-dev (>= 0.11),
     liblircclient-dev,
     libltdl-dev,
     liborc-0.4-dev,
-    libsamplerate0-dev,
     libsndfile1-dev,
     libsoxr-dev (>= 0.1.1),
     libspeexdsp-dev (>= 1.2~rc1),
@@ -55,7 +52,7 @@
   libpulse0 (= ${binary:Version}),
   pulseaudio-utils
 Recommends: rtkit, default-logind | logind, dbus-user-session
-Suggests: udev [linux-any], pavumeter, pavucontrol, paman, paprefs
+Suggests: udev [linux-any], pavumeter, pavucontrol, paprefs
 Description: PulseAudio sound server
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
  WIN32 systems. It is a drop in replacement for the ESD sound server with

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,12 @@
   --with-zsh-completion-dir=\$${datadir}/zsh/vendor-completions \
   --with-bash-completion-dir=\$${datadir}/bash-completion/completions \
   --with-systemduserunitdir=\$${prefix}/lib/systemd/user \
-  --enable-snap \
   --disable-bluez4 \
   --disable-esound \
   --enable-gsettings \
+  --disable-gstreamer \
   --disable-gconf \
+  --with-pulsedsp-location=/usr/\\\\'$$$$'LIB/pulseaudio \
   --enable-stream-restore-clear-old-devices
 
 PA_MAJORMINOR = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -r -e 's/^([0-9]+\.[0-9]+).*/\1/')
@@ -72,10 +73,3 @@
 override_dh_clean:
 	dh_clean
 	rm -f debian/shlibs.local
-
-override_dh_auto_test:
-ifeq (,$(filter $(DEB_HOST_ARCH), riscv64))
-	dh_auto_test
-else
-	dh_auto_test || true
-endif

## pulseaudio 14.2.2

=== debian/changelog ===
pulseaudio (14.2.2-1+dde) unstable; urgency=medium

  * Check ABI changes for new version 14.2-2 

 -- Chengyi Zhao <zhaochengyi@uniontech.com>  Fri, 17 Dec 2021 20:22:36 +0800

pulseaudio (14.2.1-1+dde) unstable; urgency=medium

  * Update the new version 14.2-2 from debain.

 -- Chengyi Zhao <zhaochengyi@uniontech.com>  Fri, 17 Dec 2021 16:48:33 +0800

## pulseaudio 14.2.3

=== debian/changelog ===
pulseaudio (14.2.3-deepin1) unstable; urgency=medium

  *Volume Modulation .

 -- yanghaibo <yanghaibo@uniontech.com>  Thu, 30 Mar 2023 16:17:55 +0800

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed
 
 DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+#fix: Close test suite (from bug107441)
+DEB_BUILD_OPTIONS = nocheck
 
 include /usr/share/dpkg/default.mk
